/* all of the data structures we use to manage the data we toss
   about.  yeehaw. */

#include <fcntl.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <time.h>

#define MAX_NODES 32

/* system-wide configuration. */

typedef struct _BBS_Config {
     char system_name[80];
     char sysop[20];
     char logfile[80];
     int port;
     char phone[20];
     char base_dir[80];
     char issue[80];
     char motd[80];
     char logout[80];
     char db_key[20];
     int db_port;
     char db_ip[16];
     char e_mail[60];
     int nodes;
     uid_t setuid;
     gid_t setgid;
} BBS_Config;

/* functions from common.c */
void netprintf(int sock, char *fmt, ...);
char *netgets(int sock);
int read_system_config(void);
char *str_up(char *str);
char *str_down(char *str);
int simple_copy(char *src, char *dest);
void netpause(int link);


